QGIS Application - Bug report #9664

Joined layers cause problems on GetFeaturelnfo requests

2014-02-26 01:50 AM - Giovanni Allegri

Status: Closed
Priority: High
Assignee:

Category: QGIS Server

Affected QGIS version:2.2.0
Operating System:
Pull Request or Patch supplied:

Crashes QGIS or corrupls data:

Regression?:
Easy fix?:
Resolution:

No
No
fixed/implemented

Copied to github as #: 18231

Description

| was testing joined layers to perform GetFeaturelnfo on joined fields.
another one) make QGIS Server behave bad.
| haven't been able to find a rule but | have observed:

I've noticed that issuing requests to the main layer (joined to

- Internal Server Error when FEATURE_COUNT is low (e.g. 1 to 10 elements)

- XML response cut at some point (incomplete output)

This happens even if | filter on layers' own fields.
After removing the join the request works as excpected.

History

#1 - 2014-03-01 03:47 AM - Giovanni Manghi
- OS version deleted (2.2.0)
- Target version set to Version 2.4

#2 - 2014-03-01 08:27 AM - Jiirgen Fischer
- Target version changed from Version 2.4 to Future Release - High Priority

#3 - 2016-09-02 12:38 AM - Tudor Barascu

Does this still happen? There was a fixed issue (with joined layers in QGIS Server) about a year ago which was fixed.

Can you provide some test data and the request?

#4 - 2017-01-04 11:54 PM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Closing for lack of feedback, please reopen if necessary.
